### Function

# GimpUi prop_scale_entry_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_scale_entry_new (
      GObject* config,
      const gchar* property_name,
      const gchar* label,
      gdouble factor,
      gboolean limit_scale,
      gdouble lower_limit,
      gdouble upper_limit
    )

#### Description [src]

Creates a `GimpScaleEntry` (slider and spin button) to set and display the value of a specified int or double property with sensible default settings depending on the range (decimal places, increments, etc.). These settings can be overridden by the relevant widget methods.

If `label` is `NULL`, the `property_name`‘s nick will be used as label of the returned object.

If `factor` is not 1.0, the widget’s range will be computed based of `property_name`‘s range multiplied by `factor`. A typical usage would be to display a [0.0, 1.0] range as [0.0, 100.0] by setting 100.0 as `factor`.

See `gimp_scale_entry_set_bounds()` for more information on `limit_scale`, `lower_limit` and `upper_limit`.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of integer or double property controlled by the scale.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const gchar*`

  The text for the `GtkLabel` which will appear left of the `GtkScale`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`factor`

  Type: `gdouble`

  Optional multiplier to convert `property_name`‘s range into the `GimpScaleEntry`‘s range. The common usage is to set 1.0. For non-double properties, no other values than 1.0 are acceptable.

`limit_scale`

  Type: `gboolean`

  `FALSE` if the range of possible values of the GtkScale should be the same as of the GtkSpinButton.

`lower_limit`

  Type: `gdouble`

  The scale’s lower boundary if `scale_limits` is `TRUE`.

`upper_limit`

  Type: `gdouble`

  The scale’s upper boundary if `scale_limits` is `TRUE`.

#### Return value

Type: `GtkWidget`

The newly allocated `GimpScaleEntry`.

The caller of the function takes ownership of the data, and is responsible for freeing it.